Public Class Neuron

    ' Активность
    Public A_Evoked As Boolean
    Public A_Spont As Boolean

    ' Спектр нейромедиаторов, испускаемый терминалями аксонов
    Public A_med_sp() As Boolean
    Public A_med_ev() As Boolean

    ' Количество нейромедиаторов
    Dim N_Med As Integer

    ' Количество дендритных секций
    Public N_Dend_Sec As Integer

    ' Дендритная секция
    Structure D_Section

        Dim type As Integer

        ' Настройка синапсов секции на характерный стимул
        Dim W As Integer

        ' Профиль чувствительности синапсов к нейромедиаторам
        Dim Med_S() As Boolean

        ' Профиль чувствительности метаботропных рецепторов к нейромедиаторам
        Dim Med_M() As Boolean

        'Память секции
        Dim Mem As Collection

    End Structure



    Public DS() As D_Section


    Public Sub New(NMed As Integer, NDendSec As Integer)

        N_Med = NMed

        ReDim A_med_sp(N_Med - 1)
        ReDim A_med_ev(N_Med - 1)

        N_Dend_Sec = NDendSec

        ReDim DS(N_Dend_Sec - 1)

        For i = 0 To N_Dend_Sec - 1
            DS(i).Mem = New Collection
        Next

    End Sub
End Class
